Public Member Functions | Static Public Member Functions | List of all members
WP6Part Class Referenceabstract

`#include <WP6Part.h>`

Inheritance diagram for WP6Part:

## Public Member Functions
virtual | ~WP6Part ()
virtual void | parse (WP6Listener *listener)=0

## Static Public Member Functions
static WP6Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

## ◆ ~WP6Part()

virtual WP6Part::~WP6Part | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ constructPart()

WP6Part * WP6Part::constructPart | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const unsigned char | readVal
| ) |  |
| static

Referenced by WP6Parser::parseDocument().

## ◆ parse()

virtual void WP6Part::parse | ( | WP6Listener * | listener | ) |
| pure virtual

Implemented in WP6HighlightGroup, WP6AttributeGroup, WP6UndoGroup, WP6TabGroup, WP6StyleGroup, WP6TableRowAtEOCFunction, WP6TableRowAtEOPFunction, WP6TableRowAtSoftEOPFunction, WP6TableOffAtSoftEOPFunction, WP6TableRowFunction, WP6TableCellFunction, WP6TableOffFunction, WP6HyphenFunction, WP6SoftHyphenFunction, WP6SoftEOPFunction, WP6EOPFunction, WP6EOCFunction, WP6EOLFunction, WP6HardSpaceFunction, WP6SpaceFunction, WP6SetNumberGroup, WP6ParagraphGroup, WP6PageGroup, WP6NumberingMethodGroup, WP6HighlightOffGroup, WP6HighlightOnGroup, WP6HeaderFooterGroup, WP6FootnoteEndnoteGroup, WP6ExtendedCharacterGroup, WP6EOLGroup, WP6DisplayNumberReferenceGroup, WP6ColumnGroup, WP6CharacterGroup, WP6BoxGroup, WP6AttributeOffGroup, WP6AttributeOnGroup, WP6UnsupportedVariableLengthGroup, and WP6UnsupportedFixedLengthGroup.

The documentation for this class was generated from the following files:

- WP6Part.h
- WP6Part.cpp